﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <Nullable>enable</Nullable>

    <IncludeSymbols>true</IncludeSymbols>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <SymbolPackageFormat>snupkg</SymbolPackageFormat>
  </PropertyGroup>

  <PropertyGroup>
    <Title>Null.FileModelLibrary</Title>
    <Product>Null.FileModelLibrary</Product>
    <PackageVersion>1.0.0</PackageVersion>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="GitVersion.MsBuild" Version="5.12.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Null.DataLibrary" Version="0.1.0" />
  </ItemGroup>

</Project>